Autolisp: Exemplo de uso de (grread)

; Para desenhar linha pressionando qualquer tecla (só movendo o cursor e pressionando a tecla “espaço”, por exemplo)
; Inicie o desenho com uma linha (dois pontos) e depois continue desenhando apenas clicando ou pressionando qualquer tecla.
; Pressione “Esc” para abortar
; Digite “desenhar” para iniciar e “cdesenho” para prosseguir depois de ter abortado

(defun c:desenhar()
(setq p1 (getpoint “Ponto inicial…”))
(setq p2 (getpoint “Segundo ponto…”))
(command “line” p1 p2 “”)
(while p1
(setq p2 (grread (setq code (grread))))
(setvar “pickbox” 5)
(command “line” “” (nth 1 p2) “” )
(setvar “pickbox” 4)
)
)
(defun c:cdesenho()
(while 1
(setq p2 (grread (setq code (grread))))
(command “line” “” (nth 1 p2) “” )
)
)

Anúncios

Sobre NilsonRDG

Minha lista de scripts/rotinas em Autolisp, Autohotkey, JavaScript, PHP e VBA. Nilson Rodrigues - Ouro Preto - MG
Esse post foi publicado em AutoCAD, Autolisp. Bookmark o link permanente.

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s